wiki:gadi/transition/access modules

List of modules from raijin:/projects/access/modules for apps in raijin:/projects/access/apps

Note there are a small number of applications in ~access/apps without modules, see list at bottom of page

Module Name Versions Owner Action/Notes Status
DEPRECATED 2 wml548 Deprecated - to delete
ancil-utils 1 wml548 Required - ancillary production for ASCA, canopy height and etc canopy_height, varGrid.py OK, ASCAT not working: no conv2nc
ants 8 wml548 0.8.0, 0.9.0, 0.10.0 0.11.0 and 0.12.0 installed on Gadi 0.8.0 under testing
bufrdc 1
cap 9 mrd599, wml548 Required for ancil generation -saw; 9.1 ported-wml548 works for everything except the climatology dataset for variable grids;
temporary solution: using raijin image technology & cap9.1 copy of Raijin
cawcr-utils 1 ttl548 Required - various BoM utils
cdat-lite 4 Is this in conda? -saw cdat6 in bom_envs/python_2.7.16-lwenming
cmake 1 Should be a central module -saw
cms 1 clex Delteted
conda 1 wml548 See miniconda
cylc 1 Required
drhook 5 Required
dummygrib 1 Required
ecbuild 1 ttl548 Required to build some EC software
eccodes 1 Central module. Required for UM >= vn 11.2
emos340 1 ttl548 Required for GRIB1/BUFR, ../apps/emos to be deleted
fcm 17 Required
fftw 1 ttl548 Central module
gcom 97 Required - new versions needed for Gadi mpi
geos 1 Only required by iris/cartopy?
grib-api 5 ttl548 Central module. Requried for UM <= vn 11.1
hdf5 1 Central module
imagej 1 aph502 Deprecated - to delete
iris 6 Available in Conda
java 2 wml548 Central module: required by trui java8 works so not required
libmo_unpack 1 Only used by iris so now replaced by conda
libpng 1
magics++ 1 ttl548 Required for Metview, ../apps/magics2 to be deleted
mars 6 ttl548 Required for mars-like interface to grib archive
mdssdiff 1 CLEX Now in conda - deleted
metview 1 ttl548 Required
miniconda 5 wml548 4.3, 4.4, 4.5, 4.6, 4.7 and latest=>4.8 installed
miniconda3 1 wml548 Deprecated - to be replaced by miniconda
mnctools 1 CLEX Now in conda - to be deleted
moose-client-wrapper 4 wml548 Required done
mpas 1
mysql 1 ttl548 Deprecated - to delete
ncas-utils 1
nccompress 1 clex Now in Conda - deleted
nci_admin 1 wml548 Required - managing BOM project resources done
ncimonitor 1 clex Now in Conda -deleted
netcdf 1 Central module
netcdf-access 1 Central module
netcdf-fortran 1 Central module
netcdf-fortran-access 1 Central module
ninja 1 aph502 Deprecated - to delete
nmlcompare 1 aph502 Deleted
nmoc-utils 1 ttl548 Required - various BoM utils
nwp_plot 4 wml548 Required - for NWP plotting done: problems opening grib files
nwp_pytools ? wml548 Required - for suites, model evaluation and verification done: renamed as nwptools_py2.YYYYMM
oasis3 1 Requried
oasis3-mct-local 9 mrd599 Required for ACCESS-CM2.
oasis3-mct-longrun 3
obstat 3 ttl548 to be deleted
odb 10 ttl548 Required
odbapi 4
odbserver 0.16.2-ops-intel1903{,-debug} mjw548 Required for OPS. Done
openjpeg 1 ttl548 Required
pfunit 3
pio 2
pnetcdf 1
pspline 1 ttl548 Required
py_utils 1 wml548 Required?
rmedtools 1 wml548 Installed done
robodoc 1 wml548 Required done
rose 13 Required
rttov {11.3b,12.3}_ifort1903{,-debug} mjw548 Required for OPS/VAR Done
shumlib 7 mrd599 Required for UM vn10.8 to 11.1
sidl 1 saw562 Required for high-res nesting suite
smocs 2 wml548 Not sure
sms 1 wml548 Deprecated - to delete
stash_utils 1 wml548 Required?
suite_audit 1 wml548 Required?
trui 2 wml548 Required done
um 1 Used by some UMUI versions, incl vn7.3
um2netcdf-niwa 1
ver 1 wml548, vvk548 Required - RMED/GMED
verify 4 ttl548 Deprecated - to delete
verpy 3 wml548 Required - RMED/GMED done
wrf 1 aph502 Deleted
zlib 1 ttl548 Central module
pythonlib/ARCCSSive 7 Deprecated - Python modules to be replaced with CLEX/BoM Conda environments
pythonlib/Biggus 4 Deprecated - to delete
pythonlib/Cython 1 Deprecated - to delete
pythonlib/FoBiS.py 1 Deprecated - to delete
pythonlib/ImageMetaTag 1 Deprecated - to delete
pythonlib/Jinja2 1 Deprecated - to delete
pythonlib/MarkupSafe 1 Deprecated - to delete
pythonlib/MySQL-python 1 ttl548 Deprecated - to delete
pythonlib/PIL 2 Deprecated - to delete
pythonlib/Pillow 1 Deprecated - to delete
pythonlib/PyYAML 1 Deprecated - to delete
pythonlib/SQLAlchemy 2 Deprecated - to delete
pythonlib/ScientificPython 1 Deprecated - to delete
pythonlib/Shapely 2 Deprecated - to delete
pythonlib/afterburner 2 Deprecated - to delete
pythonlib/ants 8 wml548 see ~/access/apps/ants
pythonlib/backports 1 Deprecated - to delete
pythonlib/backports.ssl_match_hostname 1 Deprecated - to delete
pythonlib/basemap 2 Deprecated - to delete
pythonlib/brewer2mpl 1 Deprecated - to delete
pythonlib/bufr-metadb 1 ttl548 Deprecated - to delete
pythonlib/bufr-transform 1 ttl548 Deprecated - to delete
pythonlib/cartopy 4 Deprecated - to delete
pythonlib/cdat-lite 4 Deprecated - to delete
pythonlib/cf-units 1 Deprecated - to delete
pythonlib/cis 1 Deprecated - to delete
pythonlib/cmor 2 Deprecated - to delete
pythonlib/dask 2 Deprecated - to delete
pythonlib/dataset 1 Deprecated - to delete
pythonlib/decorator 1 Deprecated - to delete
pythonlib/docutils 1 Deprecated - to delete
pythonlib/drslib 1 Deprecated - to delete
pythonlib/enum34 1 Deprecated - to delete
pythonlib/esgf-pyclient 1 Deprecated - to delete
pythonlib/f90nml 6 Deprecated - to delete
pythonlib/functools32 1 Deprecated - to delete
pythonlib/gprof2dot 1 Deprecated - to delete
pythonlib/h5netcdf 1 Deprecated - to delete
pythonlib/h5py 1 wml548 In nwptools_py2.201911 done
pythonlib/ipython 2 Deprecated - to delete
pythonlib/iris 6 Deprecated - to delete
pythonlib/iris_grib 1 Deprecated - to delete
pythonlib/jsonschema 1 Deprecated - to delete
pythonlib/llvmlite 1 Deprecated - to delete
pythonlib/lxml 1 Deprecated - to delete
pythonlib/mask_tools 1 Deprecated - to delete
pythonlib/matplotlib 1 Deprecated - to delete
pythonlib/maybe 1 Deprecated - to delete
pythonlib/mock 1 Deprecated - to delete
pythonlib/mule 7 Deprecated - to delete
pythonlib/netCDF4 1 Deprecated - to delete
pythonlib/nose 1 Deprecated - to delete
pythonlib/numba 1 Deprecated - to delete
pythonlib/numexpr 1 Deprecated - to delete
pythonlib/numpy 2 Deprecated - to delete
pythonlib/pandas 3 Deprecated - to delete
pythonlib/payu 1 Deprecated - to delete
pythonlib/pep8 1 Deprecated - to delete
pythonlib/pip 2 Deprecated - to delete
pythonlib/pp 1 Deprecated - to delete
pythonlib/previous 2 Deprecated - to delete
pythonlib/psutil 1 Deprecated - to delete
pythonlib/pybufr_ecmwf 1 wml548, ttl548 In nwptools_py2.201911 done
pythonlib/pygrib 1 Deprecated - to delete
pythonlib/pyhdf 1 Deprecated - to delete
pythonlib/pyke 1 Deprecated - to delete
pythonlib/pyshp 1 Deprecated - to delete
pythonlib/pyspharm 1 Deprecated - to delete
pythonlib/pytest 2 Deprecated - to delete
pythonlib/python-bufr 1 wml548 required done
pythonlib/python-common-v2 1 Deprecated - to delete
pythonlib/python2-prereqs 1 Deprecated - to delete
pythonlib/pytz 2 Deprecated - to delete
pythonlib/pyzmq 1 Deprecated - to delete
pythonlib/rpy2 2 Deprecated - to delete
pythonlib/seaborn 1 Deprecated - to delete
pythonlib/sh 1 Deprecated - to delete
pythonlib/singledispatch 1 Deprecated - to delete
pythonlib/six 2 Deprecated - to delete
pythonlib/statsmodels 1 Deprecated - to delete
pythonlib/tables 1 Deprecated - to delete
pythonlib/toolz 2 Deprecated - to delete
pythonlib/tornado 1 Deprecated - to delete
pythonlib/umfile_utils 3 mrd599 required
pythonlib/verpy 1 Deprecated - to delete
pythonlib/virtualtime 1 Deprecated - to delete
pythonlib/windspharm 1 Deprecated - to delete
pythonlib/xarray 2 Deprecated - to delete
pythonlib/xray 2 Deprecated - to delete

List of applications in ~access/apps without module in ../modules

Apps Name Versions Owner Action/Notes Status
cram
gapi199 1.9.9 ttl548 Deprecated - to delete
jasper 1.9 ttl548 Deprecated - to delete
modules-common-v2.0.tcl
pcmdi_metrics
xconv saw562 Installed as a module done
xancil saw562 Installed as a module done
xxdiff wml548 Installed as a module done
zenity wml548 Deprecated - to delete
Last modified 4 months ago Last modified on Jan 31, 2020 2:23:22 PM